### Method

# Adw TabViewclose_page_finish

#### Declaration [src]

    void
    adw_tab_view_close_page_finish (
      AdwTabView* self,
      AdwTabPage* page,
      gboolean confirm
    )

#### Description [src]

Completes a `adw_tab_view_close_page()` call for `page`.

If `confirm` is `TRUE`, `page` will be closed. If it’s `FALSE`, it will be reverted to its previous state and `adw_tab_view_close_page()` can be called for it again.

This function should not be called unless a custom handler for `AdwTabView::close-page` is used.

#### Parameters

`page`

  Type: `AdwTabPage`

  A page of `self`.

  The data is owned by the caller of the method.

`confirm`

  Type: `gboolean`

  Whether to confirm or deny closing `page`.